﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.Data.Objects;
using System.Data.Objects.DataClasses;
using System.Data.EntityClient;
using System.ComponentModel;
using System.Xml.Serialization;
using System.Runtime.Serialization;

[assembly: EdmSchemaAttribute()]
#region EDM Relationship Metadata

[assembly: EdmRelationshipAttribute("DCCDBModel", "FK_TBL_USERS_TBL_M_GROUP", "TBL_M_GROUP", System.Data.Metadata.Edm.RelationshipMultiplicity.ZeroOrOne, typeof(DCC.MODEL.TBL_M_GROUP), "TBL_USERS", System.Data.Metadata.Edm.RelationshipMultiplicity.Many, typeof(DCC.MODEL.TBL_USERS), true)]
[assembly: EdmRelationshipAttribute("DCCDBModel", "FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_TITLE", System.Data.Metadata.Edm.RelationshipMultiplicity.ZeroOrOne, typeof(DCC.MODEL.TBL_TITLE), "TBL_USERS_PROFILE", System.Data.Metadata.Edm.RelationshipMultiplicity.Many, typeof(DCC.MODEL.TBL_USERS_PROFILE), true)]
[assembly: EdmRelationshipAttribute("DCCDBModel", "FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS_PROFILE", System.Data.Metadata.Edm.RelationshipMultiplicity.One, typeof(DCC.MODEL.TBL_USERS_PROFILE), "TBL_USERS", System.Data.Metadata.Edm.RelationshipMultiplicity.ZeroOrOne, typeof(DCC.MODEL.TBL_USERS), true)]

#endregion

namespace DCC.MODEL
{
    #region Contexts
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    public partial class DCCDBEntities : ObjectContext
    {
        #region Constructors
    
        /// <summary>
        /// Initializes a new DCCDBEntities object using the connection string found in the 'DCCDBEntities' section of the application configuration file.
        /// </summary>
        public DCCDBEntities() : base("name=DCCDBEntities", "DCCDBEntities")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        /// <summary>
        /// Initialize a new DCCDBEntities object.
        /// </summary>
        public DCCDBEntities(string connectionString) : base(connectionString, "DCCDBEntities")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        /// <summary>
        /// Initialize a new DCCDBEntities object.
        /// </summary>
        public DCCDBEntities(EntityConnection connection) : base(connection, "DCCDBEntities")
        {
            this.ContextOptions.LazyLoadingEnabled = true;
            OnContextCreated();
        }
    
        #endregion
    
        #region Partial Methods
    
        partial void OnContextCreated();
    
        #endregion
    
        #region ObjectSet Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_DOCUMENT_EVENT> TBL_DOCUMENT_EVENT
        {
            get
            {
                if ((_TBL_DOCUMENT_EVENT == null))
                {
                    _TBL_DOCUMENT_EVENT = base.CreateObjectSet<TBL_DOCUMENT_EVENT>("TBL_DOCUMENT_EVENT");
                }
                return _TBL_DOCUMENT_EVENT;
            }
        }
        private ObjectSet<TBL_DOCUMENT_EVENT> _TBL_DOCUMENT_EVENT;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_DOCUMENT_REF> TBL_DOCUMENT_REF
        {
            get
            {
                if ((_TBL_DOCUMENT_REF == null))
                {
                    _TBL_DOCUMENT_REF = base.CreateObjectSet<TBL_DOCUMENT_REF>("TBL_DOCUMENT_REF");
                }
                return _TBL_DOCUMENT_REF;
            }
        }
        private ObjectSet<TBL_DOCUMENT_REF> _TBL_DOCUMENT_REF;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_EMAIL> TBL_EMAIL
        {
            get
            {
                if ((_TBL_EMAIL == null))
                {
                    _TBL_EMAIL = base.CreateObjectSet<TBL_EMAIL>("TBL_EMAIL");
                }
                return _TBL_EMAIL;
            }
        }
        private ObjectSet<TBL_EMAIL> _TBL_EMAIL;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_FILEMANAGER> TBL_FILEMANAGER
        {
            get
            {
                if ((_TBL_FILEMANAGER == null))
                {
                    _TBL_FILEMANAGER = base.CreateObjectSet<TBL_FILEMANAGER>("TBL_FILEMANAGER");
                }
                return _TBL_FILEMANAGER;
            }
        }
        private ObjectSet<TBL_FILEMANAGER> _TBL_FILEMANAGER;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_M_DEPARTMENT> TBL_M_DEPARTMENT
        {
            get
            {
                if ((_TBL_M_DEPARTMENT == null))
                {
                    _TBL_M_DEPARTMENT = base.CreateObjectSet<TBL_M_DEPARTMENT>("TBL_M_DEPARTMENT");
                }
                return _TBL_M_DEPARTMENT;
            }
        }
        private ObjectSet<TBL_M_DEPARTMENT> _TBL_M_DEPARTMENT;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_M_GROUP> TBL_M_GROUP
        {
            get
            {
                if ((_TBL_M_GROUP == null))
                {
                    _TBL_M_GROUP = base.CreateObjectSet<TBL_M_GROUP>("TBL_M_GROUP");
                }
                return _TBL_M_GROUP;
            }
        }
        private ObjectSet<TBL_M_GROUP> _TBL_M_GROUP;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_TITLE> TBL_TITLE
        {
            get
            {
                if ((_TBL_TITLE == null))
                {
                    _TBL_TITLE = base.CreateObjectSet<TBL_TITLE>("TBL_TITLE");
                }
                return _TBL_TITLE;
            }
        }
        private ObjectSet<TBL_TITLE> _TBL_TITLE;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_USERS> TBL_USERS
        {
            get
            {
                if ((_TBL_USERS == null))
                {
                    _TBL_USERS = base.CreateObjectSet<TBL_USERS>("TBL_USERS");
                }
                return _TBL_USERS;
            }
        }
        private ObjectSet<TBL_USERS> _TBL_USERS;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_USERS_LOGS> TBL_USERS_LOGS
        {
            get
            {
                if ((_TBL_USERS_LOGS == null))
                {
                    _TBL_USERS_LOGS = base.CreateObjectSet<TBL_USERS_LOGS>("TBL_USERS_LOGS");
                }
                return _TBL_USERS_LOGS;
            }
        }
        private ObjectSet<TBL_USERS_LOGS> _TBL_USERS_LOGS;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_USERS_PROFILE> TBL_USERS_PROFILE
        {
            get
            {
                if ((_TBL_USERS_PROFILE == null))
                {
                    _TBL_USERS_PROFILE = base.CreateObjectSet<TBL_USERS_PROFILE>("TBL_USERS_PROFILE");
                }
                return _TBL_USERS_PROFILE;
            }
        }
        private ObjectSet<TBL_USERS_PROFILE> _TBL_USERS_PROFILE;
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        public ObjectSet<TBL_DOCUMENT> TBL_DOCUMENT
        {
            get
            {
                if ((_TBL_DOCUMENT == null))
                {
                    _TBL_DOCUMENT = base.CreateObjectSet<TBL_DOCUMENT>("TBL_DOCUMENT");
                }
                return _TBL_DOCUMENT;
            }
        }
        private ObjectSet<TBL_DOCUMENT> _TBL_DOCUMENT;

        #endregion
        #region AddTo Methods
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_DOCUMENT_EVENT EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_DOCUMENT_EVENT(TBL_DOCUMENT_EVENT tBL_DOCUMENT_EVENT)
        {
            base.AddObject("TBL_DOCUMENT_EVENT", tBL_DOCUMENT_EVENT);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_DOCUMENT_REF EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_DOCUMENT_REF(TBL_DOCUMENT_REF tBL_DOCUMENT_REF)
        {
            base.AddObject("TBL_DOCUMENT_REF", tBL_DOCUMENT_REF);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_EMAIL EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_EMAIL(TBL_EMAIL tBL_EMAIL)
        {
            base.AddObject("TBL_EMAIL", tBL_EMAIL);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_FILEMANAGER EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_FILEMANAGER(TBL_FILEMANAGER tBL_FILEMANAGER)
        {
            base.AddObject("TBL_FILEMANAGER", tBL_FILEMANAGER);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_M_DEPARTMENT EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_M_DEPARTMENT(TBL_M_DEPARTMENT tBL_M_DEPARTMENT)
        {
            base.AddObject("TBL_M_DEPARTMENT", tBL_M_DEPARTMENT);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_M_GROUP EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_M_GROUP(TBL_M_GROUP tBL_M_GROUP)
        {
            base.AddObject("TBL_M_GROUP", tBL_M_GROUP);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_TITLE EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_TITLE(TBL_TITLE tBL_TITLE)
        {
            base.AddObject("TBL_TITLE", tBL_TITLE);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_USERS EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_USERS(TBL_USERS tBL_USERS)
        {
            base.AddObject("TBL_USERS", tBL_USERS);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_USERS_LOGS EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_USERS_LOGS(TBL_USERS_LOGS tBL_USERS_LOGS)
        {
            base.AddObject("TBL_USERS_LOGS", tBL_USERS_LOGS);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_USERS_PROFILE EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_USERS_PROFILE(TBL_USERS_PROFILE tBL_USERS_PROFILE)
        {
            base.AddObject("TBL_USERS_PROFILE", tBL_USERS_PROFILE);
        }
    
        /// <summary>
        /// Deprecated Method for adding a new object to the TBL_DOCUMENT EntitySet. Consider using the .Add method of the associated ObjectSet&lt;T&gt; property instead.
        /// </summary>
        public void AddToTBL_DOCUMENT(TBL_DOCUMENT tBL_DOCUMENT)
        {
            base.AddObject("TBL_DOCUMENT", tBL_DOCUMENT);
        }

        #endregion
    }
    

    #endregion
    
    #region Entities
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_DOCUMENT")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_DOCUMENT : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_DOCUMENT object.
        /// </summary>
        /// <param name="dOC_AUTO_ID">Initial value of the DOC_AUTO_ID property.</param>
        /// <param name="dOC_ID">Initial value of the DOC_ID property.</param>
        public static TBL_DOCUMENT CreateTBL_DOCUMENT(global::System.Int32 dOC_AUTO_ID, global::System.String dOC_ID)
        {
            TBL_DOCUMENT tBL_DOCUMENT = new TBL_DOCUMENT();
            tBL_DOCUMENT.DOC_AUTO_ID = dOC_AUTO_ID;
            tBL_DOCUMENT.DOC_ID = dOC_ID;
            return tBL_DOCUMENT;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 DOC_AUTO_ID
        {
            get
            {
                return _DOC_AUTO_ID;
            }
            set
            {
                if (_DOC_AUTO_ID != value)
                {
                    OnDOC_AUTO_IDChanging(value);
                    ReportPropertyChanging("DOC_AUTO_ID");
                    _DOC_AUTO_ID = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("DOC_AUTO_ID");
                    OnDOC_AUTO_IDChanged();
                }
            }
        }
        private global::System.Int32 _DOC_AUTO_ID;
        partial void OnDOC_AUTO_IDChanging(global::System.Int32 value);
        partial void OnDOC_AUTO_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String DOC_ID
        {
            get
            {
                return _DOC_ID;
            }
            set
            {
                if (_DOC_ID != value)
                {
                    OnDOC_IDChanging(value);
                    ReportPropertyChanging("DOC_ID");
                    _DOC_ID = StructuralObject.SetValidValue(value, false);
                    ReportPropertyChanged("DOC_ID");
                    OnDOC_IDChanged();
                }
            }
        }
        private global::System.String _DOC_ID;
        partial void OnDOC_IDChanging(global::System.String value);
        partial void OnDOC_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String DOC_FILE_NAME
        {
            get
            {
                return _DOC_FILE_NAME;
            }
            set
            {
                OnDOC_FILE_NAMEChanging(value);
                ReportPropertyChanging("DOC_FILE_NAME");
                _DOC_FILE_NAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("DOC_FILE_NAME");
                OnDOC_FILE_NAMEChanged();
            }
        }
        private global::System.String _DOC_FILE_NAME;
        partial void OnDOC_FILE_NAMEChanging(global::System.String value);
        partial void OnDOC_FILE_NAMEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String DOC_DESCRIPT
        {
            get
            {
                return _DOC_DESCRIPT;
            }
            set
            {
                OnDOC_DESCRIPTChanging(value);
                ReportPropertyChanging("DOC_DESCRIPT");
                _DOC_DESCRIPT = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("DOC_DESCRIPT");
                OnDOC_DESCRIPTChanged();
            }
        }
        private global::System.String _DOC_DESCRIPT;
        partial void OnDOC_DESCRIPTChanging(global::System.String value);
        partial void OnDOC_DESCRIPTChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String DOC_OWNER
        {
            get
            {
                return _DOC_OWNER;
            }
            set
            {
                OnDOC_OWNERChanging(value);
                ReportPropertyChanging("DOC_OWNER");
                _DOC_OWNER = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("DOC_OWNER");
                OnDOC_OWNERChanged();
            }
        }
        private global::System.String _DOC_OWNER;
        partial void OnDOC_OWNERChanging(global::System.String value);
        partial void OnDOC_OWNERChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Int32> DOC_REV
        {
            get
            {
                return _DOC_REV;
            }
            set
            {
                OnDOC_REVChanging(value);
                ReportPropertyChanging("DOC_REV");
                _DOC_REV = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("DOC_REV");
                OnDOC_REVChanged();
            }
        }
        private Nullable<global::System.Int32> _DOC_REV;
        partial void OnDOC_REVChanging(Nullable<global::System.Int32> value);
        partial void OnDOC_REVChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String DOC_MODIFIED_BY
        {
            get
            {
                return _DOC_MODIFIED_BY;
            }
            set
            {
                OnDOC_MODIFIED_BYChanging(value);
                ReportPropertyChanging("DOC_MODIFIED_BY");
                _DOC_MODIFIED_BY = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("DOC_MODIFIED_BY");
                OnDOC_MODIFIED_BYChanged();
            }
        }
        private global::System.String _DOC_MODIFIED_BY;
        partial void OnDOC_MODIFIED_BYChanging(global::System.String value);
        partial void OnDOC_MODIFIED_BYChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_DOCUMENT_EVENT")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_DOCUMENT_EVENT : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_DOCUMENT_EVENT object.
        /// </summary>
        /// <param name="eVENT_ID">Initial value of the EVENT_ID property.</param>
        public static TBL_DOCUMENT_EVENT CreateTBL_DOCUMENT_EVENT(global::System.Int32 eVENT_ID)
        {
            TBL_DOCUMENT_EVENT tBL_DOCUMENT_EVENT = new TBL_DOCUMENT_EVENT();
            tBL_DOCUMENT_EVENT.EVENT_ID = eVENT_ID;
            return tBL_DOCUMENT_EVENT;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 EVENT_ID
        {
            get
            {
                return _EVENT_ID;
            }
            set
            {
                if (_EVENT_ID != value)
                {
                    OnEVENT_IDChanging(value);
                    ReportPropertyChanging("EVENT_ID");
                    _EVENT_ID = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("EVENT_ID");
                    OnEVENT_IDChanged();
                }
            }
        }
        private global::System.Int32 _EVENT_ID;
        partial void OnEVENT_IDChanging(global::System.Int32 value);
        partial void OnEVENT_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EVENT_USER_ID
        {
            get
            {
                return _EVENT_USER_ID;
            }
            set
            {
                OnEVENT_USER_IDChanging(value);
                ReportPropertyChanging("EVENT_USER_ID");
                _EVENT_USER_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EVENT_USER_ID");
                OnEVENT_USER_IDChanged();
            }
        }
        private global::System.String _EVENT_USER_ID;
        partial void OnEVENT_USER_IDChanging(global::System.String value);
        partial void OnEVENT_USER_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EVENT_DOC_ID
        {
            get
            {
                return _EVENT_DOC_ID;
            }
            set
            {
                OnEVENT_DOC_IDChanging(value);
                ReportPropertyChanging("EVENT_DOC_ID");
                _EVENT_DOC_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EVENT_DOC_ID");
                OnEVENT_DOC_IDChanged();
            }
        }
        private global::System.String _EVENT_DOC_ID;
        partial void OnEVENT_DOC_IDChanging(global::System.String value);
        partial void OnEVENT_DOC_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EVENT_DOC_NAME
        {
            get
            {
                return _EVENT_DOC_NAME;
            }
            set
            {
                OnEVENT_DOC_NAMEChanging(value);
                ReportPropertyChanging("EVENT_DOC_NAME");
                _EVENT_DOC_NAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EVENT_DOC_NAME");
                OnEVENT_DOC_NAMEChanged();
            }
        }
        private global::System.String _EVENT_DOC_NAME;
        partial void OnEVENT_DOC_NAMEChanging(global::System.String value);
        partial void OnEVENT_DOC_NAMEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EVENT_STATUS
        {
            get
            {
                return _EVENT_STATUS;
            }
            set
            {
                OnEVENT_STATUSChanging(value);
                ReportPropertyChanging("EVENT_STATUS");
                _EVENT_STATUS = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EVENT_STATUS");
                OnEVENT_STATUSChanged();
            }
        }
        private global::System.String _EVENT_STATUS;
        partial void OnEVENT_STATUSChanging(global::System.String value);
        partial void OnEVENT_STATUSChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EVENT_DATE
        {
            get
            {
                return _EVENT_DATE;
            }
            set
            {
                OnEVENT_DATEChanging(value);
                ReportPropertyChanging("EVENT_DATE");
                _EVENT_DATE = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EVENT_DATE");
                OnEVENT_DATEChanged();
            }
        }
        private global::System.String _EVENT_DATE;
        partial void OnEVENT_DATEChanging(global::System.String value);
        partial void OnEVENT_DATEChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_DOCUMENT_REF")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_DOCUMENT_REF : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_DOCUMENT_REF object.
        /// </summary>
        /// <param name="rEF_ID">Initial value of the REF_ID property.</param>
        public static TBL_DOCUMENT_REF CreateTBL_DOCUMENT_REF(global::System.Int32 rEF_ID)
        {
            TBL_DOCUMENT_REF tBL_DOCUMENT_REF = new TBL_DOCUMENT_REF();
            tBL_DOCUMENT_REF.REF_ID = rEF_ID;
            return tBL_DOCUMENT_REF;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 REF_ID
        {
            get
            {
                return _REF_ID;
            }
            set
            {
                if (_REF_ID != value)
                {
                    OnREF_IDChanging(value);
                    ReportPropertyChanging("REF_ID");
                    _REF_ID = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("REF_ID");
                    OnREF_IDChanged();
                }
            }
        }
        private global::System.Int32 _REF_ID;
        partial void OnREF_IDChanging(global::System.Int32 value);
        partial void OnREF_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String REF_USER_ID
        {
            get
            {
                return _REF_USER_ID;
            }
            set
            {
                OnREF_USER_IDChanging(value);
                ReportPropertyChanging("REF_USER_ID");
                _REF_USER_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("REF_USER_ID");
                OnREF_USER_IDChanged();
            }
        }
        private global::System.String _REF_USER_ID;
        partial void OnREF_USER_IDChanging(global::System.String value);
        partial void OnREF_USER_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String REF_DOC_ID
        {
            get
            {
                return _REF_DOC_ID;
            }
            set
            {
                OnREF_DOC_IDChanging(value);
                ReportPropertyChanging("REF_DOC_ID");
                _REF_DOC_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("REF_DOC_ID");
                OnREF_DOC_IDChanged();
            }
        }
        private global::System.String _REF_DOC_ID;
        partial void OnREF_DOC_IDChanging(global::System.String value);
        partial void OnREF_DOC_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String DOC_PATH
        {
            get
            {
                return _DOC_PATH;
            }
            set
            {
                OnDOC_PATHChanging(value);
                ReportPropertyChanging("DOC_PATH");
                _DOC_PATH = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("DOC_PATH");
                OnDOC_PATHChanged();
            }
        }
        private global::System.String _DOC_PATH;
        partial void OnDOC_PATHChanging(global::System.String value);
        partial void OnDOC_PATHChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_EMAIL")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_EMAIL : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_EMAIL object.
        /// </summary>
        /// <param name="eMAIL_ID">Initial value of the EMAIL_ID property.</param>
        public static TBL_EMAIL CreateTBL_EMAIL(global::System.Int32 eMAIL_ID)
        {
            TBL_EMAIL tBL_EMAIL = new TBL_EMAIL();
            tBL_EMAIL.EMAIL_ID = eMAIL_ID;
            return tBL_EMAIL;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 EMAIL_ID
        {
            get
            {
                return _EMAIL_ID;
            }
            set
            {
                if (_EMAIL_ID != value)
                {
                    OnEMAIL_IDChanging(value);
                    ReportPropertyChanging("EMAIL_ID");
                    _EMAIL_ID = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("EMAIL_ID");
                    OnEMAIL_IDChanged();
                }
            }
        }
        private global::System.Int32 _EMAIL_ID;
        partial void OnEMAIL_IDChanging(global::System.Int32 value);
        partial void OnEMAIL_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EMAIL_ACCOUNT
        {
            get
            {
                return _EMAIL_ACCOUNT;
            }
            set
            {
                OnEMAIL_ACCOUNTChanging(value);
                ReportPropertyChanging("EMAIL_ACCOUNT");
                _EMAIL_ACCOUNT = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EMAIL_ACCOUNT");
                OnEMAIL_ACCOUNTChanged();
            }
        }
        private global::System.String _EMAIL_ACCOUNT;
        partial void OnEMAIL_ACCOUNTChanging(global::System.String value);
        partial void OnEMAIL_ACCOUNTChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EMAIL_PASSWORD
        {
            get
            {
                return _EMAIL_PASSWORD;
            }
            set
            {
                OnEMAIL_PASSWORDChanging(value);
                ReportPropertyChanging("EMAIL_PASSWORD");
                _EMAIL_PASSWORD = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EMAIL_PASSWORD");
                OnEMAIL_PASSWORDChanged();
            }
        }
        private global::System.String _EMAIL_PASSWORD;
        partial void OnEMAIL_PASSWORDChanging(global::System.String value);
        partial void OnEMAIL_PASSWORDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String EMAIL_HOST
        {
            get
            {
                return _EMAIL_HOST;
            }
            set
            {
                OnEMAIL_HOSTChanging(value);
                ReportPropertyChanging("EMAIL_HOST");
                _EMAIL_HOST = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("EMAIL_HOST");
                OnEMAIL_HOSTChanged();
            }
        }
        private global::System.String _EMAIL_HOST;
        partial void OnEMAIL_HOSTChanging(global::System.String value);
        partial void OnEMAIL_HOSTChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_FILEMANAGER")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_FILEMANAGER : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_FILEMANAGER object.
        /// </summary>
        /// <param name="id">Initial value of the ID property.</param>
        public static TBL_FILEMANAGER CreateTBL_FILEMANAGER(global::System.Int32 id)
        {
            TBL_FILEMANAGER tBL_FILEMANAGER = new TBL_FILEMANAGER();
            tBL_FILEMANAGER.ID = id;
            return tBL_FILEMANAGER;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 ID
        {
            get
            {
                return _ID;
            }
            set
            {
                if (_ID != value)
                {
                    OnIDChanging(value);
                    ReportPropertyChanging("ID");
                    _ID = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("ID");
                    OnIDChanged();
                }
            }
        }
        private global::System.Int32 _ID;
        partial void OnIDChanging(global::System.Int32 value);
        partial void OnIDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String Type
        {
            get
            {
                return _Type;
            }
            set
            {
                OnTypeChanging(value);
                ReportPropertyChanging("Type");
                _Type = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("Type");
                OnTypeChanged();
            }
        }
        private global::System.String _Type;
        partial void OnTypeChanging(global::System.String value);
        partial void OnTypeChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String Name
        {
            get
            {
                return _Name;
            }
            set
            {
                OnNameChanging(value);
                ReportPropertyChanging("Name");
                _Name = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("Name");
                OnNameChanged();
            }
        }
        private global::System.String _Name;
        partial void OnNameChanging(global::System.String value);
        partial void OnNameChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.DateTime> Modified
        {
            get
            {
                return _Modified;
            }
            set
            {
                OnModifiedChanging(value);
                ReportPropertyChanging("Modified");
                _Modified = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("Modified");
                OnModifiedChanged();
            }
        }
        private Nullable<global::System.DateTime> _Modified;
        partial void OnModifiedChanging(Nullable<global::System.DateTime> value);
        partial void OnModifiedChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String ModifiedBy
        {
            get
            {
                return _ModifiedBy;
            }
            set
            {
                OnModifiedByChanging(value);
                ReportPropertyChanging("ModifiedBy");
                _ModifiedBy = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("ModifiedBy");
                OnModifiedByChanged();
            }
        }
        private global::System.String _ModifiedBy;
        partial void OnModifiedByChanging(global::System.String value);
        partial void OnModifiedByChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_ID
        {
            get
            {
                return _USER_ID;
            }
            set
            {
                OnUSER_IDChanging(value);
                ReportPropertyChanging("USER_ID");
                _USER_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_ID");
                OnUSER_IDChanged();
            }
        }
        private global::System.String _USER_ID;
        partial void OnUSER_IDChanging(global::System.String value);
        partial void OnUSER_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String SessionID
        {
            get
            {
                return _SessionID;
            }
            set
            {
                OnSessionIDChanging(value);
                ReportPropertyChanging("SessionID");
                _SessionID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("SessionID");
                OnSessionIDChanged();
            }
        }
        private global::System.String _SessionID;
        partial void OnSessionIDChanging(global::System.String value);
        partial void OnSessionIDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String FLAG
        {
            get
            {
                return _FLAG;
            }
            set
            {
                OnFLAGChanging(value);
                ReportPropertyChanging("FLAG");
                _FLAG = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("FLAG");
                OnFLAGChanged();
            }
        }
        private global::System.String _FLAG;
        partial void OnFLAGChanging(global::System.String value);
        partial void OnFLAGChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_M_DEPARTMENT")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_M_DEPARTMENT : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_M_DEPARTMENT object.
        /// </summary>
        /// <param name="dEPARTMENT_FOLDER_ID">Initial value of the DEPARTMENT_FOLDER_ID property.</param>
        /// <param name="dEPARTMENT_ID">Initial value of the DEPARTMENT_ID property.</param>
        /// <param name="pARENT_ID">Initial value of the PARENT_ID property.</param>
        public static TBL_M_DEPARTMENT CreateTBL_M_DEPARTMENT(global::System.Int32 dEPARTMENT_FOLDER_ID, global::System.String dEPARTMENT_ID, global::System.String pARENT_ID)
        {
            TBL_M_DEPARTMENT tBL_M_DEPARTMENT = new TBL_M_DEPARTMENT();
            tBL_M_DEPARTMENT.DEPARTMENT_FOLDER_ID = dEPARTMENT_FOLDER_ID;
            tBL_M_DEPARTMENT.DEPARTMENT_ID = dEPARTMENT_ID;
            tBL_M_DEPARTMENT.PARENT_ID = pARENT_ID;
            return tBL_M_DEPARTMENT;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 DEPARTMENT_FOLDER_ID
        {
            get
            {
                return _DEPARTMENT_FOLDER_ID;
            }
            set
            {
                if (_DEPARTMENT_FOLDER_ID != value)
                {
                    OnDEPARTMENT_FOLDER_IDChanging(value);
                    ReportPropertyChanging("DEPARTMENT_FOLDER_ID");
                    _DEPARTMENT_FOLDER_ID = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("DEPARTMENT_FOLDER_ID");
                    OnDEPARTMENT_FOLDER_IDChanged();
                }
            }
        }
        private global::System.Int32 _DEPARTMENT_FOLDER_ID;
        partial void OnDEPARTMENT_FOLDER_IDChanging(global::System.Int32 value);
        partial void OnDEPARTMENT_FOLDER_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String DEPARTMENT_ID
        {
            get
            {
                return _DEPARTMENT_ID;
            }
            set
            {
                if (_DEPARTMENT_ID != value)
                {
                    OnDEPARTMENT_IDChanging(value);
                    ReportPropertyChanging("DEPARTMENT_ID");
                    _DEPARTMENT_ID = StructuralObject.SetValidValue(value, false);
                    ReportPropertyChanged("DEPARTMENT_ID");
                    OnDEPARTMENT_IDChanged();
                }
            }
        }
        private global::System.String _DEPARTMENT_ID;
        partial void OnDEPARTMENT_IDChanging(global::System.String value);
        partial void OnDEPARTMENT_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String PARENT_ID
        {
            get
            {
                return _PARENT_ID;
            }
            set
            {
                if (_PARENT_ID != value)
                {
                    OnPARENT_IDChanging(value);
                    ReportPropertyChanging("PARENT_ID");
                    _PARENT_ID = StructuralObject.SetValidValue(value, false);
                    ReportPropertyChanged("PARENT_ID");
                    OnPARENT_IDChanged();
                }
            }
        }
        private global::System.String _PARENT_ID;
        partial void OnPARENT_IDChanging(global::System.String value);
        partial void OnPARENT_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String DEPARTMENT_NAME
        {
            get
            {
                return _DEPARTMENT_NAME;
            }
            set
            {
                OnDEPARTMENT_NAMEChanging(value);
                ReportPropertyChanging("DEPARTMENT_NAME");
                _DEPARTMENT_NAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("DEPARTMENT_NAME");
                OnDEPARTMENT_NAMEChanged();
            }
        }
        private global::System.String _DEPARTMENT_NAME;
        partial void OnDEPARTMENT_NAMEChanging(global::System.String value);
        partial void OnDEPARTMENT_NAMEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String DEPARTMENT_FOLDER
        {
            get
            {
                return _DEPARTMENT_FOLDER;
            }
            set
            {
                OnDEPARTMENT_FOLDERChanging(value);
                ReportPropertyChanging("DEPARTMENT_FOLDER");
                _DEPARTMENT_FOLDER = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("DEPARTMENT_FOLDER");
                OnDEPARTMENT_FOLDERChanged();
            }
        }
        private global::System.String _DEPARTMENT_FOLDER;
        partial void OnDEPARTMENT_FOLDERChanging(global::System.String value);
        partial void OnDEPARTMENT_FOLDERChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_M_GROUP")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_M_GROUP : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_M_GROUP object.
        /// </summary>
        /// <param name="gROUP_ID">Initial value of the GROUP_ID property.</param>
        public static TBL_M_GROUP CreateTBL_M_GROUP(global::System.String gROUP_ID)
        {
            TBL_M_GROUP tBL_M_GROUP = new TBL_M_GROUP();
            tBL_M_GROUP.GROUP_ID = gROUP_ID;
            return tBL_M_GROUP;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String GROUP_ID
        {
            get
            {
                return _GROUP_ID;
            }
            set
            {
                if (_GROUP_ID != value)
                {
                    OnGROUP_IDChanging(value);
                    ReportPropertyChanging("GROUP_ID");
                    _GROUP_ID = StructuralObject.SetValidValue(value, false);
                    ReportPropertyChanged("GROUP_ID");
                    OnGROUP_IDChanged();
                }
            }
        }
        private global::System.String _GROUP_ID;
        partial void OnGROUP_IDChanging(global::System.String value);
        partial void OnGROUP_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String GROUP_NAME
        {
            get
            {
                return _GROUP_NAME;
            }
            set
            {
                OnGROUP_NAMEChanging(value);
                ReportPropertyChanging("GROUP_NAME");
                _GROUP_NAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("GROUP_NAME");
                OnGROUP_NAMEChanged();
            }
        }
        private global::System.String _GROUP_NAME;
        partial void OnGROUP_NAMEChanging(global::System.String value);
        partial void OnGROUP_NAMEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Boolean> V_OwnerDoc
        {
            get
            {
                return _V_OwnerDoc;
            }
            set
            {
                OnV_OwnerDocChanging(value);
                ReportPropertyChanging("V_OwnerDoc");
                _V_OwnerDoc = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("V_OwnerDoc");
                OnV_OwnerDocChanged();
            }
        }
        private Nullable<global::System.Boolean> _V_OwnerDoc;
        partial void OnV_OwnerDocChanging(Nullable<global::System.Boolean> value);
        partial void OnV_OwnerDocChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Boolean> V_DeptDoc
        {
            get
            {
                return _V_DeptDoc;
            }
            set
            {
                OnV_DeptDocChanging(value);
                ReportPropertyChanging("V_DeptDoc");
                _V_DeptDoc = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("V_DeptDoc");
                OnV_DeptDocChanged();
            }
        }
        private Nullable<global::System.Boolean> _V_DeptDoc;
        partial void OnV_DeptDocChanging(Nullable<global::System.Boolean> value);
        partial void OnV_DeptDocChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Boolean> V_OtherDoc
        {
            get
            {
                return _V_OtherDoc;
            }
            set
            {
                OnV_OtherDocChanging(value);
                ReportPropertyChanging("V_OtherDoc");
                _V_OtherDoc = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("V_OtherDoc");
                OnV_OtherDocChanged();
            }
        }
        private Nullable<global::System.Boolean> _V_OtherDoc;
        partial void OnV_OtherDocChanging(Nullable<global::System.Boolean> value);
        partial void OnV_OtherDocChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.Boolean> V_RefDoc
        {
            get
            {
                return _V_RefDoc;
            }
            set
            {
                OnV_RefDocChanging(value);
                ReportPropertyChanging("V_RefDoc");
                _V_RefDoc = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("V_RefDoc");
                OnV_RefDocChanged();
            }
        }
        private Nullable<global::System.Boolean> _V_RefDoc;
        partial void OnV_RefDocChanging(Nullable<global::System.Boolean> value);
        partial void OnV_RefDocChanged();

        #endregion
    
        #region Navigation Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [XmlIgnoreAttribute()]
        [SoapIgnoreAttribute()]
        [DataMemberAttribute()]
        [EdmRelationshipNavigationPropertyAttribute("DCCDBModel", "FK_TBL_USERS_TBL_M_GROUP", "TBL_USERS")]
        public EntityCollection<TBL_USERS> TBL_USERS
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedCollection<TBL_USERS>("DCCDBModel.FK_TBL_USERS_TBL_M_GROUP", "TBL_USERS");
            }
            set
            {
                if ((value != null))
                {
                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedCollection<TBL_USERS>("DCCDBModel.FK_TBL_USERS_TBL_M_GROUP", "TBL_USERS", value);
                }
            }
        }

        #endregion
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_TITLE")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_TITLE : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_TITLE object.
        /// </summary>
        /// <param name="tITLE_ID">Initial value of the TITLE_ID property.</param>
        public static TBL_TITLE CreateTBL_TITLE(global::System.String tITLE_ID)
        {
            TBL_TITLE tBL_TITLE = new TBL_TITLE();
            tBL_TITLE.TITLE_ID = tITLE_ID;
            return tBL_TITLE;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String TITLE_ID
        {
            get
            {
                return _TITLE_ID;
            }
            set
            {
                if (_TITLE_ID != value)
                {
                    OnTITLE_IDChanging(value);
                    ReportPropertyChanging("TITLE_ID");
                    _TITLE_ID = StructuralObject.SetValidValue(value, false);
                    ReportPropertyChanged("TITLE_ID");
                    OnTITLE_IDChanged();
                }
            }
        }
        private global::System.String _TITLE_ID;
        partial void OnTITLE_IDChanging(global::System.String value);
        partial void OnTITLE_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String TITLE_NAME
        {
            get
            {
                return _TITLE_NAME;
            }
            set
            {
                OnTITLE_NAMEChanging(value);
                ReportPropertyChanging("TITLE_NAME");
                _TITLE_NAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("TITLE_NAME");
                OnTITLE_NAMEChanged();
            }
        }
        private global::System.String _TITLE_NAME;
        partial void OnTITLE_NAMEChanging(global::System.String value);
        partial void OnTITLE_NAMEChanged();

        #endregion
    
        #region Navigation Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [XmlIgnoreAttribute()]
        [SoapIgnoreAttribute()]
        [DataMemberAttribute()]
        [EdmRelationshipNavigationPropertyAttribute("DCCDBModel", "FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_USERS_PROFILE")]
        public EntityCollection<TBL_USERS_PROFILE> TBL_USERS_PROFILE
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedCollection<TBL_USERS_PROFILE>("DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_USERS_PROFILE");
            }
            set
            {
                if ((value != null))
                {
                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedCollection<TBL_USERS_PROFILE>("DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_USERS_PROFILE", value);
                }
            }
        }

        #endregion
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_USERS")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_USERS : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_USERS object.
        /// </summary>
        /// <param name="uSER_ID">Initial value of the USER_ID property.</param>
        public static TBL_USERS CreateTBL_USERS(global::System.String uSER_ID)
        {
            TBL_USERS tBL_USERS = new TBL_USERS();
            tBL_USERS.USER_ID = uSER_ID;
            return tBL_USERS;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String USER_ID
        {
            get
            {
                return _USER_ID;
            }
            set
            {
                if (_USER_ID != value)
                {
                    OnUSER_IDChanging(value);
                    ReportPropertyChanging("USER_ID");
                    _USER_ID = StructuralObject.SetValidValue(value, false);
                    ReportPropertyChanged("USER_ID");
                    OnUSER_IDChanged();
                }
            }
        }
        private global::System.String _USER_ID;
        partial void OnUSER_IDChanging(global::System.String value);
        partial void OnUSER_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_NAME
        {
            get
            {
                return _USER_NAME;
            }
            set
            {
                OnUSER_NAMEChanging(value);
                ReportPropertyChanging("USER_NAME");
                _USER_NAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_NAME");
                OnUSER_NAMEChanged();
            }
        }
        private global::System.String _USER_NAME;
        partial void OnUSER_NAMEChanging(global::System.String value);
        partial void OnUSER_NAMEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_PASSWORD
        {
            get
            {
                return _USER_PASSWORD;
            }
            set
            {
                OnUSER_PASSWORDChanging(value);
                ReportPropertyChanging("USER_PASSWORD");
                _USER_PASSWORD = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_PASSWORD");
                OnUSER_PASSWORDChanged();
            }
        }
        private global::System.String _USER_PASSWORD;
        partial void OnUSER_PASSWORDChanging(global::System.String value);
        partial void OnUSER_PASSWORDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_GROUP_ID
        {
            get
            {
                return _USER_GROUP_ID;
            }
            set
            {
                OnUSER_GROUP_IDChanging(value);
                ReportPropertyChanging("USER_GROUP_ID");
                _USER_GROUP_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_GROUP_ID");
                OnUSER_GROUP_IDChanged();
            }
        }
        private global::System.String _USER_GROUP_ID;
        partial void OnUSER_GROUP_IDChanging(global::System.String value);
        partial void OnUSER_GROUP_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_STATUS
        {
            get
            {
                return _USER_STATUS;
            }
            set
            {
                OnUSER_STATUSChanging(value);
                ReportPropertyChanging("USER_STATUS");
                _USER_STATUS = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_STATUS");
                OnUSER_STATUSChanged();
            }
        }
        private global::System.String _USER_STATUS;
        partial void OnUSER_STATUSChanging(global::System.String value);
        partial void OnUSER_STATUSChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public Nullable<global::System.DateTime> USER_CREATEDATE
        {
            get
            {
                return _USER_CREATEDATE;
            }
            set
            {
                OnUSER_CREATEDATEChanging(value);
                ReportPropertyChanging("USER_CREATEDATE");
                _USER_CREATEDATE = StructuralObject.SetValidValue(value);
                ReportPropertyChanged("USER_CREATEDATE");
                OnUSER_CREATEDATEChanged();
            }
        }
        private Nullable<global::System.DateTime> _USER_CREATEDATE;
        partial void OnUSER_CREATEDATEChanging(Nullable<global::System.DateTime> value);
        partial void OnUSER_CREATEDATEChanged();

        #endregion
    
        #region Navigation Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [XmlIgnoreAttribute()]
        [SoapIgnoreAttribute()]
        [DataMemberAttribute()]
        [EdmRelationshipNavigationPropertyAttribute("DCCDBModel", "FK_TBL_USERS_TBL_M_GROUP", "TBL_M_GROUP")]
        public TBL_M_GROUP TBL_M_GROUP
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_M_GROUP>("DCCDBModel.FK_TBL_USERS_TBL_M_GROUP", "TBL_M_GROUP").Value;
            }
            set
            {
                ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_M_GROUP>("DCCDBModel.FK_TBL_USERS_TBL_M_GROUP", "TBL_M_GROUP").Value = value;
            }
        }
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [BrowsableAttribute(false)]
        [DataMemberAttribute()]
        public EntityReference<TBL_M_GROUP> TBL_M_GROUPReference
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_M_GROUP>("DCCDBModel.FK_TBL_USERS_TBL_M_GROUP", "TBL_M_GROUP");
            }
            set
            {
                if ((value != null))
                {
                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedReference<TBL_M_GROUP>("DCCDBModel.FK_TBL_USERS_TBL_M_GROUP", "TBL_M_GROUP", value);
                }
            }
        }
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [XmlIgnoreAttribute()]
        [SoapIgnoreAttribute()]
        [DataMemberAttribute()]
        [EdmRelationshipNavigationPropertyAttribute("DCCDBModel", "FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS_PROFILE")]
        public TBL_USERS_PROFILE TBL_USERS_PROFILE
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_USERS_PROFILE>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS_PROFILE").Value;
            }
            set
            {
                ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_USERS_PROFILE>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS_PROFILE").Value = value;
            }
        }
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [BrowsableAttribute(false)]
        [DataMemberAttribute()]
        public EntityReference<TBL_USERS_PROFILE> TBL_USERS_PROFILEReference
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_USERS_PROFILE>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS_PROFILE");
            }
            set
            {
                if ((value != null))
                {
                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedReference<TBL_USERS_PROFILE>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS_PROFILE", value);
                }
            }
        }

        #endregion
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_USERS_LOGS")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_USERS_LOGS : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_USERS_LOGS object.
        /// </summary>
        /// <param name="lOG_ID">Initial value of the LOG_ID property.</param>
        public static TBL_USERS_LOGS CreateTBL_USERS_LOGS(global::System.Int32 lOG_ID)
        {
            TBL_USERS_LOGS tBL_USERS_LOGS = new TBL_USERS_LOGS();
            tBL_USERS_LOGS.LOG_ID = lOG_ID;
            return tBL_USERS_LOGS;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.Int32 LOG_ID
        {
            get
            {
                return _LOG_ID;
            }
            set
            {
                if (_LOG_ID != value)
                {
                    OnLOG_IDChanging(value);
                    ReportPropertyChanging("LOG_ID");
                    _LOG_ID = StructuralObject.SetValidValue(value);
                    ReportPropertyChanged("LOG_ID");
                    OnLOG_IDChanged();
                }
            }
        }
        private global::System.Int32 _LOG_ID;
        partial void OnLOG_IDChanging(global::System.Int32 value);
        partial void OnLOG_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_ID
        {
            get
            {
                return _USER_ID;
            }
            set
            {
                OnUSER_IDChanging(value);
                ReportPropertyChanging("USER_ID");
                _USER_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_ID");
                OnUSER_IDChanged();
            }
        }
        private global::System.String _USER_ID;
        partial void OnUSER_IDChanging(global::System.String value);
        partial void OnUSER_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_LOGIN_DATE
        {
            get
            {
                return _USER_LOGIN_DATE;
            }
            set
            {
                OnUSER_LOGIN_DATEChanging(value);
                ReportPropertyChanging("USER_LOGIN_DATE");
                _USER_LOGIN_DATE = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_LOGIN_DATE");
                OnUSER_LOGIN_DATEChanged();
            }
        }
        private global::System.String _USER_LOGIN_DATE;
        partial void OnUSER_LOGIN_DATEChanging(global::System.String value);
        partial void OnUSER_LOGIN_DATEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_LOGOUT_DATE
        {
            get
            {
                return _USER_LOGOUT_DATE;
            }
            set
            {
                OnUSER_LOGOUT_DATEChanging(value);
                ReportPropertyChanging("USER_LOGOUT_DATE");
                _USER_LOGOUT_DATE = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_LOGOUT_DATE");
                OnUSER_LOGOUT_DATEChanged();
            }
        }
        private global::System.String _USER_LOGOUT_DATE;
        partial void OnUSER_LOGOUT_DATEChanging(global::System.String value);
        partial void OnUSER_LOGOUT_DATEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String USER_LOG_DATE
        {
            get
            {
                return _USER_LOG_DATE;
            }
            set
            {
                OnUSER_LOG_DATEChanging(value);
                ReportPropertyChanging("USER_LOG_DATE");
                _USER_LOG_DATE = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("USER_LOG_DATE");
                OnUSER_LOG_DATEChanged();
            }
        }
        private global::System.String _USER_LOG_DATE;
        partial void OnUSER_LOG_DATEChanging(global::System.String value);
        partial void OnUSER_LOG_DATEChanged();

        #endregion
    
    }
    
    /// <summary>
    /// No Metadata Documentation available.
    /// </summary>
    [EdmEntityTypeAttribute(NamespaceName="DCCDBModel", Name="TBL_USERS_PROFILE")]
    [Serializable()]
    [DataContractAttribute(IsReference=true)]
    public partial class TBL_USERS_PROFILE : EntityObject
    {
        #region Factory Method
    
        /// <summary>
        /// Create a new TBL_USERS_PROFILE object.
        /// </summary>
        /// <param name="pROFILE_USER_ID">Initial value of the PROFILE_USER_ID property.</param>
        public static TBL_USERS_PROFILE CreateTBL_USERS_PROFILE(global::System.String pROFILE_USER_ID)
        {
            TBL_USERS_PROFILE tBL_USERS_PROFILE = new TBL_USERS_PROFILE();
            tBL_USERS_PROFILE.PROFILE_USER_ID = pROFILE_USER_ID;
            return tBL_USERS_PROFILE;
        }

        #endregion
        #region Primitive Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=true, IsNullable=false)]
        [DataMemberAttribute()]
        public global::System.String PROFILE_USER_ID
        {
            get
            {
                return _PROFILE_USER_ID;
            }
            set
            {
                if (_PROFILE_USER_ID != value)
                {
                    OnPROFILE_USER_IDChanging(value);
                    ReportPropertyChanging("PROFILE_USER_ID");
                    _PROFILE_USER_ID = StructuralObject.SetValidValue(value, false);
                    ReportPropertyChanged("PROFILE_USER_ID");
                    OnPROFILE_USER_IDChanged();
                }
            }
        }
        private global::System.String _PROFILE_USER_ID;
        partial void OnPROFILE_USER_IDChanging(global::System.String value);
        partial void OnPROFILE_USER_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String PROFILE_TITLE_ID
        {
            get
            {
                return _PROFILE_TITLE_ID;
            }
            set
            {
                OnPROFILE_TITLE_IDChanging(value);
                ReportPropertyChanging("PROFILE_TITLE_ID");
                _PROFILE_TITLE_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("PROFILE_TITLE_ID");
                OnPROFILE_TITLE_IDChanged();
            }
        }
        private global::System.String _PROFILE_TITLE_ID;
        partial void OnPROFILE_TITLE_IDChanging(global::System.String value);
        partial void OnPROFILE_TITLE_IDChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String PROFILE_NAME
        {
            get
            {
                return _PROFILE_NAME;
            }
            set
            {
                OnPROFILE_NAMEChanging(value);
                ReportPropertyChanging("PROFILE_NAME");
                _PROFILE_NAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("PROFILE_NAME");
                OnPROFILE_NAMEChanged();
            }
        }
        private global::System.String _PROFILE_NAME;
        partial void OnPROFILE_NAMEChanging(global::System.String value);
        partial void OnPROFILE_NAMEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String PROFILE_SURNAME
        {
            get
            {
                return _PROFILE_SURNAME;
            }
            set
            {
                OnPROFILE_SURNAMEChanging(value);
                ReportPropertyChanging("PROFILE_SURNAME");
                _PROFILE_SURNAME = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("PROFILE_SURNAME");
                OnPROFILE_SURNAMEChanged();
            }
        }
        private global::System.String _PROFILE_SURNAME;
        partial void OnPROFILE_SURNAMEChanging(global::System.String value);
        partial void OnPROFILE_SURNAMEChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String PROFILE_EMAIL
        {
            get
            {
                return _PROFILE_EMAIL;
            }
            set
            {
                OnPROFILE_EMAILChanging(value);
                ReportPropertyChanging("PROFILE_EMAIL");
                _PROFILE_EMAIL = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("PROFILE_EMAIL");
                OnPROFILE_EMAILChanged();
            }
        }
        private global::System.String _PROFILE_EMAIL;
        partial void OnPROFILE_EMAILChanging(global::System.String value);
        partial void OnPROFILE_EMAILChanged();
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [EdmScalarPropertyAttribute(EntityKeyProperty=false, IsNullable=true)]
        [DataMemberAttribute()]
        public global::System.String PROFILE_DEPARTMENT_ID
        {
            get
            {
                return _PROFILE_DEPARTMENT_ID;
            }
            set
            {
                OnPROFILE_DEPARTMENT_IDChanging(value);
                ReportPropertyChanging("PROFILE_DEPARTMENT_ID");
                _PROFILE_DEPARTMENT_ID = StructuralObject.SetValidValue(value, true);
                ReportPropertyChanged("PROFILE_DEPARTMENT_ID");
                OnPROFILE_DEPARTMENT_IDChanged();
            }
        }
        private global::System.String _PROFILE_DEPARTMENT_ID;
        partial void OnPROFILE_DEPARTMENT_IDChanging(global::System.String value);
        partial void OnPROFILE_DEPARTMENT_IDChanged();

        #endregion
    
        #region Navigation Properties
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [XmlIgnoreAttribute()]
        [SoapIgnoreAttribute()]
        [DataMemberAttribute()]
        [EdmRelationshipNavigationPropertyAttribute("DCCDBModel", "FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_TITLE")]
        public TBL_TITLE TBL_TITLE
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_TITLE>("DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_TITLE").Value;
            }
            set
            {
                ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_TITLE>("DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_TITLE").Value = value;
            }
        }
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [BrowsableAttribute(false)]
        [DataMemberAttribute()]
        public EntityReference<TBL_TITLE> TBL_TITLEReference
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_TITLE>("DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_TITLE");
            }
            set
            {
                if ((value != null))
                {
                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedReference<TBL_TITLE>("DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE", "TBL_TITLE", value);
                }
            }
        }
    
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [XmlIgnoreAttribute()]
        [SoapIgnoreAttribute()]
        [DataMemberAttribute()]
        [EdmRelationshipNavigationPropertyAttribute("DCCDBModel", "FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS")]
        public TBL_USERS TBL_USERS
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_USERS>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS").Value;
            }
            set
            {
                ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_USERS>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS").Value = value;
            }
        }
        /// <summary>
        /// No Metadata Documentation available.
        /// </summary>
        [BrowsableAttribute(false)]
        [DataMemberAttribute()]
        public EntityReference<TBL_USERS> TBL_USERSReference
        {
            get
            {
                return ((IEntityWithRelationships)this).RelationshipManager.GetRelatedReference<TBL_USERS>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS");
            }
            set
            {
                if ((value != null))
                {
                    ((IEntityWithRelationships)this).RelationshipManager.InitializeRelatedReference<TBL_USERS>("DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1", "TBL_USERS", value);
                }
            }
        }

        #endregion
    }

    #endregion
    
}
